<?php


require_once 'config.php';
require_once GREEN_ZONE_DIR . 'Forms/GZ_BaseForm.php';




class NavControlsForm extends GZ_BaseForm
{
  public function __construct( $s_gz )
  {
    parent::__construct( $s_gz );
  }
  
  public function Display()
  {
    $smarty = $this->gz->CreateSmarty();
    $smarty->Display( 'NavControlsForm.tpl' );
  }
  
  public function ProcessActions()
  {
    $next_form = '';
    
    if( $this->ActionIs( 'NewQuery' ) )
        $next_form = 'QueryForm';
    else if( $this->ActionIs( 'ReturnToResults' ) )
      $next_form = 'QueryResultsForm';
    else if( $this->ActionIs( 'ShowCart' ) )
      $next_form = 'CartForm';
    
    return $next_form;
  }
}